#include <stdlib.h>  

#include <GL/glut.h>
 
void  display (void)
{
	GLfloat triangle[3][2]={
		{ 0.0f, 0.0f},
		{ 400.0f, 0.0f},
		{ 200.0f, 400.0f},
		};

	static GLfloat p[2]={75.0f,75.0f};
	int i, j;

    glClear (GL_COLOR_BUFFER_BIT);
	
	glBegin(GL_POINTS);
		
	for(j=0;j<20000;j++)
	{
		i=rand()%3;
		
		p[0]=(p[0]+triangle[i][0])/2.0f;
		p[1]=(p[1]+triangle[i][1])/2.0f;
		
		glVertex3fv(p);
	}
	glEnd();
	
	glFlush();
}

void  myinit (void) {
	glClearColor (0.0, 0.0, 0.0, 0.0);
    }

/*  Called when the window is first opened and whenever 
 *  the window is reconfigured (moved or resized).
 */
void  reshape(GLsizei w, GLsizei h)
{
   glMatrixMode (GL_PROJECTION);   /*  prepare for and then  */ 
   glLoadIdentity ();  /*  define the projection  */
   gluOrtho2D(0.0,500.0f,0.0,500.0);	
   glViewport (0, 0, (GLsizei) w, (GLsizei) h); 
   glMatrixMode (GL_MODELVIEW);    /*  back to modelview matrix    */
}

/*  Main Loop
 *  Open window with initial window size, title bar, 
 *  RGBA display mode, and handle input events.
 */
int main(int argc, char** argv)
{
    glutInit(&argc, argv);
    glutInitDisplayMode (GLUT_SINGLE| GLUT_RGB);
    glutInitWindowSize(400, 400);
    glutInitWindowPosition (10, 10);

    glutCreateWindow (argv[0]);
 	glutDisplayFunc(display);
	glutReshapeFunc(reshape); 
	
	myinit();
	glutMainLoop();
	return(0);
}
